Subject: bug#58092: 29.0.50; [PATCH] Add log-edit-summary-separator face

From: Stefan Kangas <[email-masked]>
Date: Tue, 27 Sep 2022 12:15:29 -0400

Sean Whitton <[email-masked]> writes:

>>> amend no. revert yes, but itʼs overkill for just a commit message issue. You
>>> can always run 'make change-history' and fix it in the resulting
>>> ChangeLog file (see admin/notes/repo for the details)
>>
>> Please don't do that, it will make merging more tricky later.
>
> Hmm, so it's never okay to do that?  Or is it to be saved for the more
> egregrious errors?

It's easier for me (or whoever is charge of merging and/or releases) if
we don't do that, so I'd prefer it if we could reserve it for
particularly nasty mistakes.

However, if it has to be done, please do it in two separate commits: one
that generates the ChangeLog and one that fixes the mistake.